# Generated from prefnerd-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prefnerd

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Monitors the OS X defaults database for changes
License: MIT
URL: https://github.com/wincent/prefnerd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Are you an OS X prefnerd? Do you keep a base set of OS X preferences in
version control to make it easier to set up new machines? Do you want to
know which items are being changed, and to what values, whenever you alter a
setting on OS X? The prefnerd gem contains a simple executable that watches
the defaults database for changes and prints them to your terminal.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pn
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.0-1
- Initial package
